<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_manufacturer.php                                   ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./admin_config.php");
	include_once ($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/record.php");
	include_once ($root_folder_path . "includes/friendly_functions.php");

	check_admin_security("products_categories");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_manufacturer.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_manufacturers_href", "admin_manufacturers.php");
	$t->set_var("admin_manufacturer_href", "admin_manufacturer.php");

	$r = new VA_Record($table_prefix . "manufacturers");
	$r->return_page = "admin_manufacturers.php";

	$r->add_where("manufacturer_id", INTEGER);

	$r->add_textbox("manufacturer_name", TEXT, "Manufacturer Name");
	$r->change_property("manufacturer_name", REQUIRED, true);
	$r->add_textbox("friendly_url", TEXT, "Friendly URL");
	$r->change_property("friendly_url", USE_SQL_NULL, false);
	$r->change_property("friendly_url", BEFORE_VALIDATE, "validate_friendly_url");
	$r->add_textbox("affiliate_code", TEXT);
	$r->add_textbox("short_description", TEXT);
	$r->add_textbox("full_description", TEXT);

	$r->events[BEFORE_INSERT] = "set_friendly_url";
	$r->events[BEFORE_UPDATE] = "set_friendly_url";

	$r->process();


	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
