<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ProCart v3.8                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***      ProCart v3.8                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "iso-8859-1");
	// date messages
	define("YEAR_MSG", "Vuosi");
	define("MONTH_MSG", "Kuukausi");
	define("DAY_MSG", "Paiva");
	define("DAYS_MSG", "Paivaa");
	define("HOUR_MSG", "Tunti");
	define("MINUTE_MSG", "Minuutti");
	define("SECOND_MSG", "Sekuntti");
	define("WEEK_MSG", "Viikko");
	define("TODAY_MSG", "Tanaan");
	define("YESTERDAY_MSG", "Eilen");
	define("LAST_7DAYS_MSG", "Viim. 7 paivaa");
	define("THIS_MONTH_MSG", "Tama kuukausi");
	define("LAST_MONTH_MSG", "Viime kuukausi");
	define("THIS_QUARTER_MSG", "Tama neljannes");
	define("THIS_YEAR_MSG", "Tama vuosi");

	// months
	define("JANUARY", "Tammikuu");
	define("FEBRUARY", "Helmikuu");
	define("MARCH", "Maaliskuu");
	define("APRIL", "Huhtikuu");
	define("MAY", "Toukokuu");
	define("JUNE", "Kesakuu");
	define("JULY", "Heinakuu");
	define("AUGUST", "Elokuu");
	define("SEPTEMBER", "Syyskuu");
	define("OCTOBER", "Lokakuu");
	define("NOVEMBER", "Marraskuu");
	define("DECEMBER", "Joulukuu");

	define("JANUARY_SHORT", "Tam");
	define("FEBRUARY_SHORT", "Hel");
	define("MARCH_SHORT", "Maa");
	define("APRIL_SHORT", "Huh");
	define("MAY_SHORT", "Tou");
	define("JUNE_SHORT", "Kes");
	define("JULY_SHORT", "Hei");
	define("AUGUST_SHORT", "Elo");
	define("SEPTEMBER_SHORT", "Syy");
	define("OCTOBER_SHORT", "Lok");
	define("NOVEMBER_SHORT", "Mar");
	define("DECEMBER_SHORT", "Jou");

	// weekdays
	define("SUNDAY", "Sunnuntai");
	define("MONDAY", "Maanantai");
	define("TUESDAY", "Tiistai");
	define("WEDNESDAY", "Keskiviikko");
	define("THURSDAY", "Torstai");
	define("FRIDAY", "Perjantai");
	define("SATURDAY", "Lauantai");

	define("SUNDAY_SHORT", "Su");
	define("MONDAY_SHORT", "Ma");
	define("TUESDAY_SHORT", "Ti");
	define("WEDNESDAY_SHORT", "Ke");
	define("THURSDAY_SHORT", "To");
	define("FRIDAY_SHORT", "Pe");
	define("SATURDAY_SHORT", "La");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> vaaditaan");
	define("UNIQUE_MESSAGE", "Kentan <b>{field_name}</b> tieto on jo tietokannassa");
	define("VALIDATION_MESSAGE", "Kentan varmennus ei onnistunut <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> ja <b>{field_two}</b> eivat tasmaa");
	define("INSERT_ALLOWED_ERROR", "Valitettavasti et voi lisata tietoja");
	define("UPDATE_ALLOWED_ERROR", "Valitettavasti et voi paivittaa tietoja");
	define("DELETE_ALLOWED_ERROR", "Valitettavasti et voi poistaa tietoja");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> has incorrect date value. Use calendar dates");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> ei vastaa parametreja. Kayta seuraava '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Sahkopostios. Muot virheellinen kentassa {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Virheellinen arvo kentassa <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "Arvo kentassa <b>{field_name}</b> ei voi olla alle {min_value}");
	define("MAX_VALUE_MESSAGE", "Arvo kentassa <b>{field_name}</b> ei voi olla suurempi kuin {max_value}");
	define("MIN_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be less than {min_length} symbols");
	define("MAX_LENGTH_MESSAGE", "Tekstin pituus kentassa <b>{field_name}</b> voi olla maksimissaan{max_length} kirjainta");

	define("FILE_PERMISSION_MESSAGE", "Tiedostoon ei voi kirjoittaa<b>'{file_name}'</b>. Vaihda kirjoitusoikeudet ennen jatkamista");
	define("FOLDER_PERMISSION_MESSAGE", "Don't have writable permission to folder <b>'{folder_name}'</b>. Please change folder permission before continue");
	define("INVALID_EMAIL_MSG", "Email osoite ei kelpaa");
	define("DATABASE_ERROR_MSG", "Tietokantavirhe");
	define("BLACK_IP_MSG", "Palvelimesi ei salli tata toimintoa");
	define("BANNED_CONTENT_MSG", "Syottamasi tiedot sisaltavat kiellettyja merkkeja");
	define("ERRORS_MSG", "Virheita");
	define("REGISTERED_ACCESS_MSG", "Vain rekisteroityneet kayttajat ");

	// titles 
	define("TOP_RATED_TITLE", "Top rankattu");
	define("TOP_VIEWED_TITLE", "Eniten katsottu");
	define("RECENTLY_VIEWED_TITLE", "Viimeksi katsottu");
	define("HOT_TITLE", "Hot!");
	define("LATEST_TITLE", "Viimeisin");
	define("CONTENT_TITLE", "Sisalto");
	define("RELATED_TITLE", "Liittyy");
	define("SEARCH_TITLE", "Etsi");
	define("ADVANCED_SEARCH_TITLE", "Tarkempi haku");
	define("LOGIN_TITLE", "Sisaankirjautuminen");
	define("CATEGORIES_TITLE", "Luokat");
	define("MANUFACTURERS_TITLE", "Valmistajat");
	define("SPECIAL_OFFER_TITLE", "Erikoistarjous");
	define("NEWS_TITLE", "Uutiset");
	define("EVENTS_TITLE", "Tapahtumat");
	define("PROFILE_TITLE", "Profiili");
	define("USER_HOME_TITLE", "Kotisivu");
	define("DOWNLOAD_TITLE", "Lataa");
	define("FAQ_TITLE", "Usein kysytyt kysymykset");
	define("POLL_TITLE", "Aanestys");
	define("HOME_PAGE_TITLE", "Kotisivu");
	define("CURRENCY_TITLE", "Valuutta");
	define("SUBSCRIBE_TITLE", "Tilaa");
	define("UNSUBSCRIBE_TITLE", "Poista tilaus");
	define("UPLOAD_TITLE", "Lataa palvelimelle");
	define("ADS_TITLE", "Mainokset");
	define("ADS_COMPARE_TITLE", "Mainosvertailu");
	define("ADS_SELLERS_TITLE", "Myyjat");
	define("AD_REQUEST_TITLE", "Tee tarjous/Tee kysymys myyjalle");
	define("LANGUAGE_TITLE", "Kielet");
	define("MERCHANTS_TITLE", "Kauppiaat");
	define("PREVIEW_TITLE", "Esikatselu");

	// menu items
	define("MENU_ABOUT", "meista");
	define("MENU_ACCOUNT", "tilisi");
	define("MENU_BASKET", "ostoskorisi");
	define("MENU_CONTACT", "ota yhteytta");
	define("MENU_DOCUMENTATION", "dokumentit");
	define("MENU_DOWNLOADS", "lataukset");
	define("MENU_EVENTS", "tapahtumat");
	define("MENU_FAQ", "U.K.K");
	define("MENU_FORUM", "foorumi");
	define("MENU_HELP", "apua");
	define("MENU_HOME", "koti");
	define("MENU_HOW", "miten teen ostoksia");
	define("MENU_MEMBERS", "jasenet");
	define("MENU_MYPROFILE", "oma profiili");
	define("MENU_NEWS", "uutiset");
	define("MENU_PRIVACY", "yksityisyys");
	define("MENU_PRODUCTS", "tuotteet");
	define("MENU_REGISTRATION", "rekisterointi");
	define("MENU_SHIPPING", "lahetys");
	define("MENU_SIGNIN", "kirjaudu");
	define("MENU_SIGNOUT", "kirjaudu ulos");
	define("MENU_SUPPORT", "tuki");
	define("MENU_USERHOME", "kayttaja koti");
	define("MENU_ADS", "luokitellut mainokset");
	define("MENU_ADMIN", "hallinta");
	define("MENU_KNOWLEDGE", "Dokumentointi");

	// main terms
	define("NO_MSG", "Ei");
	define("YES_MSG", "Kylla");
	define("NOT_AVAILABLE_MSG", "Ei saatavilla");
	define("MORE_MSG", "lisaa..");
	define("READ_MORE_MSG", "lue lisaa..");
	define("CLICK_HERE_MSG", "klikkaa tasta");
	define("ENTER_YOUR_MSG", "Anna");
	define("CHOOSE_A_MSG", "Valitse");
	define("PLEASE_CHOOSE_MSG", "Ole hyva ja valitse");
	define("SELECT_MSG", "Valitse");
	define("DATE_FORMAT_MSG", "use following format <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Seuraava");
	define("PREV_PAGE_MSG", "Edellinen");
	define("FIRST_PAGE_MSG", "Ensimmainen");
	define("LAST_PAGE_MSG", "Viimeinen");
	define("OF_PAGE_MSG", "/");
	define("TOP_CATEGORY_MSG", "Alkuun");
	define("SEARCH_IN_CURRENT_MSG", "Nykyinen kategoria");
	define("SEARCH_IN_ALL_MSG", "Kaikki kategoriat");
	define("FOUND_IN_MSG", "Loytyi");
	define("TOTAL_VIEWS_MSG", "Yhteensa katsottu");
	define("VOTES_MSG", "Aanta");
	define("TOTAL_VOTES_MSG", "Yhteensa aania");
	define("TOTAL_POINTS_MSG", "Yhteensa pisteita");
	define("VIEW_RESULTS_MSG", "Katso tulokset");
	define("PREVIOUS_POLLS_MSG", "Edelliset aanestykset");
	define("TOTAL_MSG", "Yhteensa");
	define("CLOSED_MSG", "Suljettu");
	define("CLOSE_WINDOW_MSG", "Sulje ikkuna");
	define("ASTERISK_MSG", "tahti (*) - vaaditut kentat");
	define("PROVIDE_INFO_MSG", "Syota punaisilla merkittyihin kenttiin tiedot ja paina '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Loysimme <b>{found_records}</b> artikkelia haulla '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Artikkelia talla id:lla ei ole");
	define("NO_ARTICLES_MSG", "Artikkelieita ei loytynyt");
	define("NOTES_MSG", "Huom");
	define("KEYWORDS_MSG", "Avainsanat");
	define("LINK_URL_MSG", "Linkki");
	define("DOWNLOAD_URL_MSG", "Lataa");
	define("SUBSCRIBE_FORM_MSG", "Tilataksesi uutiskirjeemme, kirjoita e-mail osoitteesi ja paina '{button_name}' nappulaa.");
	define("UNSUBSCRIBE_FORM_MSG", "Please type your email address in the box below and press '{button_name}' button.");
	define("SUBSCRIBE_LINK_MSG", "Tilaa");
	define("UNSUBSCRIBE_LINK_MSG", "Peruuta tilaus");
	define("SUBSCRIBED_MSG", "Onnittelut, olet nyt tilannut uutiskirjeemme");
	define("ALREADY_SUBSCRIBED_MSG", "Olet jo tilauslistalla. Kiitos!");
	define("UNSUBSCRIBED_MSG", "Olet peruuttanut tilauksesi. Kiitos!");
	define("UNSUBSCRIBED_ERROR_MSG", "Emme loytaneet tietojasi tietokannasta, todennakoisesti olet jo peruuttanut tilauksesi");
	define("FORGOT_PASSWORD_MSG", "Salasana unohtunut?");
	define("FORGOT_PASSWORD_DESC", "Ole hyva ja kirjoita sahkopostiosoite jota kaytit rekisteroityessasi:");
	define("FORGOT_EMAIL_ERROR_MSG", "Emme loyda sahkopostiosoitettasi tietokannasta");
	define("FORGOT_EMAIL_SENT_MSG", "Kirjautumistiedot on lahetetty sahkopostiisi");
	define("RESET_PASSWORD_REQUIRE_MSG", "Joitain vaadittuja tietoja puuttui");
	define("RESET_PASSWORD_PARAMS_MSG", "Antamasi tiedot eivat tasmaa omien tietojemme kanssa");
	define("RESET_PASSWORD_EXPIRY_MSG", "Nollauskoodi on vanhentunut. Ole hyva ja anna uusi nollauskoodi");
	define("RESET_PASSWORD_SAVED_MSG", "Uusi salasanasi on tallennettu");
	define("PRINTER_FRIENDLY_MSG", "Kirjoitinystavallinen sivu");
	define("PRINT_PAGE_MSG", "Tulosta");
	define("ATTACHMENTS_MSG", "Liitteet");
	define("VIEW_DETAILS_MSG", "Katso yksityiskohdat");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Pelkka teksti");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Sivun otsikko");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Kuvaus");
	define("FRIENDLY_URL_MSG", "Lyhyt URL");
	define("IMAGES_MSG", "Kuvat");
	define("IMAGE_MSG", "Kuvat");
	define("IMAGE_SMALL_MSG", "Pieni kuva");
	define("IMAGE_SMALL_DESC", "nayta listauksessa");
	define("IMAGE_SMALL_ALT_MSG", "Pieni kuva vaihtoehto");
	define("IMAGE_LARGE_MSG", "Iso Kuva");
	define("IMAGE_LARGE_DESC", "Nayta listauksessa");
	define("IMAGE_LARGE_ALT_MSG", "Iso kuva vaihtoehto");
	define("IMAGE_SUPER_MSG", "Tosi-iso kuva");
	define("IMAGE_SUPER_DESC", "Kuva omassa ikkunassa");
	define("IS_APPROVED_MSG", "Hyvaksytty");
	define("CATEGORY_MSG", "Luokka");
	define("SELECT_CATEGORY_MSG", "Valitse luokka");
	define("DESCRIPTION_MSG", "Kuvaus");
	define("SHORT_DESCRIPTION_MSG", "Lyhyt kuvaus");
	define("FULL_DESCRIPTION_MSG", "Taysi kuvaus");
	define("HIGHLIGHTS_MSG", "Korostukset");
	define("SPECIAL_OFFER_MSG", "Erikoistarjous");
	define("OTHER_MSG", "Muuta");
	define("WIDTH_MSG", "Leveys");
	define("HEIGHT_MSG", "Korkeus");
	define("LENGTH_MSG", "Pituus");
	define("WEIGHT_MSG", "Paino");
	define("QUANTITY_MSG", "Kpl");
	define("CALENDAR_MSG", "Kalenteri");
	define("FROM_DATE_MSG", "Paivamaarasta");
	define("TO_DATE_MSG", "Paivamaaraan");
	define("TIME_PERIOD_MSG", "Aikajakso");
	define("GROUP_BY_MSG", "Ryhmittely");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Sahkoposti-ilmoitus");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Hallinnan email ilmoitus");
	define("EMAIL_NOTIFICATION_USER_MSG", "Kayttajan email ilmoitus");
	define("EMAIL_SEND_ADMIN_MSF", "Laheta ilmoitus webmasterille");
	define("EMAIL_SEND_USER_MSG", "Laheta ilmoitus kayttajalle");
	define("EMAIL_USER_IF_STATUS_MSG", "Laheta ilmoitus kayttajalle kun hyvaksytyy");
	define("EMAIL_TO_MSG", "Kenelle");
	define("EMAIL_TO_USER_DESC", "As. email jos tyhja");
	define("EMAIL_FROM_MSG", "Kenelta");
	define("EMAIL_CC_MSG", "Kopio");
	define("EMAIL_BCC_MSG", "Piilokopio");
	define("EMAIL_REPLY_TO_MSG", "Vastaa");
	define("EMAIL_RETURN_PATH_MSG", "Vastauspolku");
	define("EMAIL_SUBJECT_MSG", "Aihe");
	define("EMAIL_MESSAGE_TYPE_MSG", "Viestin tyyppi");
	define("EMAIL_MESSAGE_MSG", "Viestin tyyppi");
	define("SMS_NOTIFICATION_MSG", "SMS ilmoitus");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Webmaster SMS ilmoitus");
	define("SMS_NOTIFICATION_USER_MSG", "Kayttajan SMS ilmoitus");
	define("SMS_SEND_ADMIN_MSF", "Laheta SMS webmasterille");
	define("SMS_SEND_USER_MSG", "Laheta SMS kayttajalle");
	define("SMS_USER_IF_STATUS_MSG", "Laheta SMS kayttajalle kun hyvaksytyy");
	define("SMS_RECIPIENT_MSG", "SMS vastaanottaja");
	define("SMS_RECIPIENT_ADMIN_DESC", "Webmaster gms numero");
	define("SMS_RECIPIENT_USER_DESC", "Tama kentta ei voi olla tyhja");
	define("SMS_ORIGINATOR_MSG", "SMS alkuperainen");
	define("SMS_MESSAGE_MSG", "SMS viesti");

	// account messages
	define("LOGIN_AS_MSG", "Loggasit sisaan");
	define("LOGIN_INFO_MSG", "Sis.kirj tiedot");
	define("ACCESS_HOME_MSG", "Alkuun");
	define("REMEMBER_LOGIN_MSG", "Muista sisaankirjautumiseni");
	define("ENTER_LOGIN_MSG", "Kirjaudu sisaan jatkaaksesi");
	define("LOGIN_PASSWORD_ERROR", "Sisaankirjaus ei onnistunut");
	define("ACCOUNT_APPROVE_ERROR", "Valitettavasti tilia ei ole vahvistettu viela");
	define("NEW_PROFILE_ERROR", "Et voi avata tilia");
	define("EDIT_PROFILE_ERROR", "Et voi muokata tata profiilia");
	define("CHANGE_DETAILS_MSG", "Muuta tietojasi");
	define("CHANGE_DETAILS_DESC", "Klikkaa jos haluat muuttaa tietojasi jotka annoit rekisteroitymisen yhteydessa");
	define("CHANGE_PASSWORD_MSG", "Vaihda salasana");
	define("CHANGE_PASSWORD_DESC", "Tasta voit vaihtaa salasanasi");
	define("SIGN_UP_MSG", "Uusi tili");
	define("MY_ACCOUNT_MSG", "Oma tilini");
	define("NEW_USER_MSG", "Uusi kayttaja");
	define("EXISTS_USER_MSG", "Vanhat kayttajat");
	define("EDIT_PROFILE_MSG", "Muuta profiilia");
	define("PERSONAL_DETAILS_MSG", "Henkilokoht. Tiedot");
	define("DELIVERY_DETAILS_MSG", "Toimitustiedot");
	define("SAME_DETAILS_MSG", "Jos toimitustiedot ovat samat, klikkaa tasta <br> muutoin taydenna tiedot");
	define("DELIVERY_MSG", "Toimitustiedot");
	define("SUBSCRIBE_CHECKBOX_MSG", "Merkitse tama jos haluat tilata uutiskirjeen");
	define("ADDITIONAL_DETAILS_MSG", "Lisatiedot");

	// ads messages
	define("MY_ADS_MSG", "Omat mainokset");
	define("MY_ADS_DESC", "Jos haluat myyda omia tavaroitasi, voit tehda sen taalla");
	define("EDIT_AD_MSG", "Muokkaa ilmoitusta");
	define("ADD_NEW_AD_MSG", "Tee uusi ilmoitus");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Otsikko");
	define("AD_PRICE_COLUMN", "Hinta");
	define("AD_STATUS_COLUMN", "Tila");
	define("AD_GENERAL_MSG", "Lisatietoja");
	define("AD_CATEGORY_MSG", "Luokka");
	define("AD_SELECT_CATEGORY_MSG", "Valitse luokka");
	define("AD_TYPE_MSG", "Tyyppi");
	define("AD_TITLE_MSG", "Otsikko");
	define("AD_SELLER_MSG", "Myyja");
	define("AD_START_MSG", "Alkaa");
	define("AD_RUNS_MSG", "Paivaa voimassa");
	define("AD_PRICE_MSG", "Hinta");
	define("AD_QTY_MSG", "Kpl");
	define("AD_AVAILABILITY_MSG", "Saatavuus");
	define("AD_COMPARED_MSG", "Salli mainosten vertailu");
	define("AD_IMAGES_MSG", "Kuvat");
	define("AD_UPLOAD_MSG", "Lataa kuvat");
	define("AD_SMALL_IMAGE_MSG", "Pieni Kuva");
	define("AD_LARGE_IMAGE_MSG", "Iso Kuva");
	define("AD_DESCRIPTION_MSG", "Kuvaus");
	define("AD_SHORT_DESC_MSG", "Lyhyt kuvaus");
	define("AD_FULL_DESC_MSG", "Taysi kuvaus");
	define("AD_LOCATION_MSG", "Sijainti");
	define("AD_CITY_MSG", "Kaupunki");
	define("AD_STATE_MSG", "Osavaltio");
	define("AD_COUNTRY_MSG", "Maa");
	define("AD_LOCATION_INFO_MSG", "Lisatietoja");
	define("AD_PROPERTIES_MSG", "Mainosominaisuudet");
	define("AD_SPECIFICATION_MSG", "Mainosmaaritykset");
	define("AD_MORE_IMAGES_MSG", "Lisaa kuvia");
	define("AD_IMAGE_MSG", "Kuva");
	define("AD_IMAGE_TITLE_MSG", "Otsikko");
	define("AD_IMAGE_PREVIEW_MSG", "Esikatsele kuva");
	define("AD_IMAGE_LARGE_MSG", "Iso Kuva");
	define("AD_IMAGE_DESC_MSG", "Kuvaus");
	define("AD_DELETE_CONFIRM_MSG", "Haluatko poistaa taman mainoksen?");
	define("AD_NOT_APPROVED_MSG", "Ei hyvaksytty");
	define("AD_RUNNING_MSG", "Voimassa");
	define("AD_CLOSED_MSG", "Suljettu");
	define("AD_EXPIRED_MSG", "Vanhentunut");
	define("AD_NOT_STARTED_MSG", "Ei alkanut");
	define("AD_NEW_ERROR", "Sinulla ei ole oikeutta luoda ilmoituksia");
	define("AD_EDIT_ERROR", "Sinulla ei ole oikeutta muuttaa ilmoituksia");
	define("AD_DELETE_ERROR", "Sinulla ei ole oikeutta poistaa ilmoituksia");
	define("NO_ADS_MSG", "Ei mainoksia");
	define("NO_AD_MSG", "Talla ID:lla ei loytynyt ilmoituksia");
	define("FOUND_ADS_MSG", "Loysimme <b>{found_records}</b> mainosta hakukriteereilla '<b>{search_string}</b>'");
	define("AD_OFFER_PRICE_MSG", "Hinta");
	define("AD_OFFER_MESSAGE_MSG", "Tarjous");
	define("AD_OFFER_LOGIN_ERROR", "Kirjaudu sisaan jatkaaksesi");
	define("AD_REQUEST_BUTTON", "Laheta tiedustelu");
	define("AD_SENT_MSG", "Tarjouksesi on lahetetty");

	// search message
	define("SEARCH_FOR_MSG", "Etsi");
	define("SEARCH_IN_MSG", "Etsi mista");
	define("SEARCH_TITLE_MSG", "Otsikko");
	define("SEARCH_CODE_MSG", "Koodi");
	define("SEARCH_SHORT_DESC_MSG", "Lyhyt kuvaus");
	define("SEARCH_FULL_DESC_MSG", "Tarkempi kuvaus");
	define("SEARCH_CATEGORY_MSG", "Etsi luokasta");
	define("SEARCH_MANUFACTURER_MSG", "Valmistaja");
	define("SEARCH_SELLER_MSG", "Myyja");
	define("SEARCH_PRICE_MSG", "Hintahaarukka");
	define("SEARCH_WEIGHT_MSG", "Painoraja");
	define("SEARCH_RESULTS_MSG", "Hakutulokset");

	// compare messages
	define("COMPARE_MSG", "Vertaa");
	define("COMPARE_REMOVE_MSG", "Poista");
	define("COMPARE_REMOVE_HELP_MSG", "Klikkaa tasta poistaaksesi taman tuotteen vertailusta");
	define("COMPARE_MIN_ALLOWED_MSG", "Valitse vahintaan 2 tuotetta");
	define("COMPARE_MAX_ALLOWED_MSG", "Max 5 tuotetta");
	define("COMPARE_PARAM_ERROR_MSG", "Vertailuparametreilla vaara muoto");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Kerro Kaverille");
	define("TELL_FRIEND_SUBJECT_MSG", "Kaverisi on lahettanyt taman linkin");
	define("TELL_FRIEND_DEFAULT_MSG", "Moro {friend_name} -Kiinnostaisiko tallainen tuote {item_title} talla sivustolla {site_url}");
	define("TELL_YOUR_NAME_FIELD", "Nimesi");
	define("TELL_YOUR_EMAIL_FIELD", "Sahkopostisi");
	define("TELL_FRIENDS_NAME_FIELD", "Ystavan nimi");
	define("TELL_FRIENDS_EMAIL_FIELD", "Ystavan email");
	define("TELL_COMMENT_FIELD", "Kommentit");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "HUOM! Emme tallenna sahkopostiosoitteita!");
	define("TELL_SENT_MSG", "Viesti lahetetty!<br>Kiitos!");

	// buttons
	define("GO_BUTTON", "Mene");
	define("CONTINUE_BUTTON", "Jatka");
	define("BACK_BUTTON", "Takaisin");
	define("NEXT_BUTTON", "Seuraava");
	define("PREV_BUTTON", "Edellinen");
	define("SIGN_IN_BUTTON", "Kirjaudu");
	define("LOGIN_BUTTON", "Kirjaudu");
	define("LOGOUT_BUTTON", "Ulos");
	define("SEARCH_BUTTON", "Etsi");
	define("RATE_IT_BUTTON", "Arvostele!");
	define("ADD_BUTTON", "Lisaa");
	define("UPDATE_BUTTON", "Paivita");
	define("APPLY_BUTTON", "Kayta");
	define("REGISTER_BUTTON", "Rekisteroi");
	define("VOTE_BUTTON", "Aanesta");
	define("CANCEL_BUTTON", "Peruuta");
	define("CLEAR_BUTTON", "Tyhjenna");
	define("RESET_BUTTON", "Nollaa");
	define("DELETE_BUTTON", "Poista");
	define("SUBSCRIBE_BUTTON", "Tilaa");
	define("UNSUBSCRIBE_BUTTON", "Peruuta tilaus");
	define("SUBMIT_BUTTON", "Laheta");
	define("UPLOAD_BUTTON", "Lataa");
	define("SEND_BUTTON", "Laheta");
	define("PREVIEW_BUTTON", "Esikatselu");
	define("FILTER_BUTTON", "Suodatin");

	// fields
	define("LOGIN_FIELD", "Kayttajanimi");
	define("PASSWORD_FIELD", "Salasana");
	define("CONFIRM_PASS_FIELD", "Vahvista salasana");
	define("NEW_PASS_FIELD", "Uusi salasana");
	define("CURRENT_PASS_FIELD", "Nykyinen salasana");
	define("NAME_FIELD", "Nimi");
	define("FIRST_NAME_FIELD", "Etunimi");
	define("LAST_NAME_FIELD", "Sukunimi");
	define("PERSONAL_IMAGE_FIELD", "Henk.koht kuva");
	define("COMPANY_SELECT_FIELD", "Yritys");
	define("SELECT_COMPANY_MSG", "Valitse yritys");
	define("COMPANY_NAME_FIELD", "Yritysnimi");
	define("EMAIL_FIELD", "Sohkoposti");
	define("STREET_FIRST_FIELD", "Katuosoite 1");
	define("STREET_SECOND_FIELD", "Katuosoite 2");
	define("CITY_FIELD", "Kaupunki");
	define("PROVINCE_FIELD", "Maakunta");
	define("SELECT_STATE_MSG", "EI USA");
	define("STATE_FIELD", "Valtio (vain USA)");
	define("ZIP_FIELD", "Postinumero");
	define("SELECT_COUNTRY_MSG", "Valitse maa");
	define("COUNTRY_FIELD", "Maakunta");
	define("PHONE_FIELD", "Puhelin");
	define("DAYTIME_PHONE_FIELD", "Puhelin paivisin");
	define("EVENING_PHONE_FIELD", "Puhelin iltaisin");
	define("CELL_PHONE_FIELD", "Matkapuhelin");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Varmennuskoodi");
	define("AFFILIATE_CODE_FIELD", "Jalleenmyyjakoodi");
	define("AFFILIATE_CODE_HELP_MSG", "Kayta seuraavaa URL:ta {affiliate_url} linkittaaksesi jalleenmyyjat");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal tili");
	define("TAX_ID_FIELD", "VAT numero");

	// no records messages
	define("NO_RECORDS_MSG", "Ei tietoja");
	define("NO_EVENTS_MSG", "Ei tapahtumia");
	define("NO_QUESTIONS_MSG", "Ei kysymyksia");
	define("NO_NEWS_MSG", "Ei uusia artikkeleita");
	define("NO_POLLS_MSG", "Ei aanestyksia");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Testi");
	define("SMS_TEST_DESC", "Anna matkapuhelinnumerosi ja paina 'SEND_BUTTON' vastaanottaaksesi testiviestin");
	define("INVALID_CELL_PHONE", "GSM numero vaarin");

?>
